OSSIM-CREATE-BITMASK(1)

NAME
ossim-create-bitmask - ossim-create-bitmask

SYNOPSIS
ossim-create-bitmask [options] <input file>

DESCRIPTION
Description: ossim-create-bitmask Generates a bit-mask given source image and target pixel range to mask out. If the input image has overviews, then masks will be generated for all R-levels.

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--mask-mode <mode>
    Specifies how to treat multi-band imagery when determining whether pixel will be masked according to the defined target value or range. Possible modes are: "mask_full_and_partial_targets" (default) | "mask_only_full_targets".

--mask-range <min> <max>
    Specifies the range of pixels to target for masking out.

--mask-value <target>
    Specifies the unique pixel value to target for masking out.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--ovr-from-image
    Uses exclusively the image overview data when computing subsequent overviews. Normally the mask overview from the prior level is referenced for establishing the masks at the next level.

--spec-kwl <filename>
    In lieu of providing mask parameters on the command line, this option specifies a keyword list filename that contains all settings. Typically used when spawning from other process.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-d  Write mask to directory specified.

-e or --entry
    Give the entry(zero based) for which to build a mask. Only one entry can be processed. If the input is multi-entry and no entry was specified, entry 0 is assumed.

-h or --help
    Shows help

-o  Write mask to file specified. If used on a multi-entry file, given "foo.mask" you will get: "foo_e0.mask". If none specified, the input filename is used with ".mask" extension.

-x or --exclude-fullres
    Excludes R0 mask computation. The mask file will start at R1.

SEE ALSO
The full documentation for ossim-create-bitmask is maintained as a Texinfo manual. If the info and ossim-create-bitmask programs are properly installed at your site, the command

    info ossim-create-bitmask

should give you access to the complete manual.